// Base64.h: CBase64 クラスのインターフェイス
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BASE641_H__A9846E02_140C_495B_A4E8_9794E35A0AB7__INCLUDED_)
#define AFX_BASE641_H__A9846E02_140C_495B_A4E8_9794E35A0AB7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBase64  
{
public:
	CBase64();
	virtual ~CBase64();
	static CString Encode64(CString string);
	static CString Decode64(CString b64str);

private:
	static int GetEncodedLength(int len);
	static int _Encode(char *encoded,const unsigned char *string, int len);
	static int GetDecodedLength(const char *bufcoded);
	static int _Decode(unsigned char *bufplain,const char *bufcoded);
};

#endif // !defined(AFX_BASE641_H__A9846E02_140C_495B_A4E8_9794E35A0AB7__INCLUDED_)
